Package twisted :: Package protocols :: Module dns :: Class Name

[show private | hide private]
[frames | no frames]

## Class Name

Method Summary
| `__init__(self, name)`
| `__eq__(self, other)`
| `__str__(self)`
| ``decode`(self, strio, length)` Decode a byte string into this Name.
| ``encode`(self, strio, compDict)` Encode this Name into the appropriate byte format.

Class Variable Summary
`tuple` | `__implements__`

Method Details

### decode(self, strio, length=None)

Decode a byte string into this Name.

  Parameters:
    `strio` - Bytes will be read from this file until the full Name is decoded.
    (type=file)
  Raises:
    `EOFError` - Raised when there are not enough bytes available from `strio`.

### encode(self, strio, compDict=None)

Encode this Name into the appropriate byte format.

  Parameters:
    `strio` - The byte representation of this Name will be written to this file.
    (type=file)
    `compDict` - dictionary of Names that have already been encoded and whose addresses may be backreferenced by this Name (for the purpose of reducing the message size).
    (type=dict)

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.protocols.dns.IEncodable at 0x86de2ac>,)

Generated by Epydoc 1.1 on Thu May 8 13:18:36 2003 | http://epydoc.sf.net